%define upstream_name File_Gettext
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.2
Release:     	%mkrel 3
Summary:    	GNU Gettext file parser
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_Gettext-%{version}.tgz
URL: 		http://pear.php.net/package/File_Gettext
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Reader and writer for GNU PO and MO files.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Gettext.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Gettext.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_Gettext
fi

%files
%defattr(-,root,root)
%doc docs/File_Gettext/*
%{peardir}/*
%{xmldir}/File_Gettext.xml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4.2-3.mga4
+ Revision: 516713
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 376117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.4.2-1.mga2
+ Revision: 218420
- upgrade to 0.4.2

* Mon Jan 17 2011 spuhler <spuhler> 0.4.1-5.mga1
+ Revision: 20743
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File_Gettext


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdv2011.0
+ Revision: 607099
- rebuild

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.1-4mdv2010.1
+ Revision: 478667
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.1-3mdv2010.0
+ Revision: 426622
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-2mdv2009.1
+ Revision: 321812
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-1mdv2009.0
+ Revision: 272584
- 0.4.1

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.4.0-3mdv2009.0
+ Revision: 224733
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-2mdv2008.1
+ Revision: 178508
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2008.0
+ Revision: 15536
- 0.4.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.4-2mdv2007.0
+ Revision: 81090
- Import php-pear-File_Gettext

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.4-2mdk
- new group (Development/PHP)

* Mon Nov 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.4-1mdk
- 0.3.4

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-1mdk
- initial Mandriva package (PLD import)

